org.apache.commons.math3.optimization

## Class Weight

- java.lang.Object
- - org.apache.commons.math3.optimization.Weight

All Implemented Interfaces:
  OptimizationData

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class Weight
    extends java.lang.Object
    implements OptimizationData

Weight matrix of the residuals between model and observations.
Immutable class.

Since:
  3.1
Version:
  $Id: Weight.java 1422230 2012-12-15 12:11:13Z erans $

### Field Summary

Fields
`private RealMatrix` `weightMatrix` Deprecated. Weight matrix.

### Constructor Summary

Constructors
Constructor and Description
`Weight(double[] weight)` Deprecated. Creates a diagonal weight matrix.
`Weight(RealMatrix weight)` Deprecated.

### Method Summary

Methods
`RealMatrix` `getWeight()` Deprecated. Gets the initial guess.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### weightMatrix

    private final RealMatrix weightMatrix

Deprecated.
Weight matrix.

### Constructor Detail

#### Weight

    public Weight(double[] weight)

Deprecated.
Creates a diagonal weight matrix.

Parameters:
  `weight` - List of the values of the diagonal.

#### Weight

    public Weight(RealMatrix weight)

Deprecated.

Parameters:
  `weight` - Weight matrix.
Throws:
  `NonSquareMatrixException` - if the argument is not a square matrix.

### Method Detail

#### getWeight

    public RealMatrix getWeight()

Deprecated.
Gets the initial guess.

Returns:
  the initial guess.